import request from '@/utils/request';

/*
 * 分页查询
 */
const getSysResource = (params) => request('/api/sysResource', { params });

/*
 * 新增数据
 */
const postSysResource = (data) => request('/api/sysResource', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getSysResourceById = (id) => request(`/api/sysResource/${id}`);

/*
 * 更新数据
 */
const putSysResource = (id, data) => request(`/api/sysResource/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteSysResource = (id) => request(`/api/sysResource/${id}`, { method: 'delete' });
