import request from '@/utils/request';

/*
 * 分页查询
 */
const getSysRoleResource = (params) => request('/api/sysRoleResource', { params });

/*
 * 新增数据
 */
const postSysRoleResource = (data) => request('/api/sysRoleResource', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getSysRoleResourceById = (id) => request(`/api/sysRoleResource/${id}`);

/*
 * 更新数据
 */
const putSysRoleResource = (id, data) => request(`/api/sysRoleResource/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteSysRoleResource = (id) => request(`/api/sysRoleResource/${id}`, { method: 'delete' });
