import request from '@/utils/request';

/*
 * 分页查询
 */
const getSysUserDuty = (params) => request('/api/sysUserDuty', { params });

/*
 * 新增数据
 */
const postSysUserDuty = (data) => request('/api/sysUserDuty', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getSysUserDutyById = (id) => request(`/api/sysUserDuty/${id}`);

/*
 * 更新数据
 */
const putSysUserDuty = (id, data) => request(`/api/sysUserDuty/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteSysUserDuty = (id) => request(`/api/sysUserDuty/${id}`, { method: 'delete' });
