import request from '@/utils/request';

/*
 * 分页查询
 */
const getSysUserRole = (params) => request('/api/sysUserRole', { params });

/*
 * 新增数据
 */
const postSysUserRole = (data) => request('/api/sysUserRole', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getSysUserRoleById = (id) => request(`/api/sysUserRole/${id}`);

/*
 * 更新数据
 */
const putSysUserRole = (id, data) => request(`/api/sysUserRole/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteSysUserRole = (id) => request(`/api/sysUserRole/${id}`, { method: 'delete' });
