import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaAttach = (params) => request('/api/taAttach', { params });

/*
 * 新增数据
 */
const postTaAttach = (data) => request('/api/taAttach', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaAttachById = (id) => request(`/api/taAttach/${id}`);

/*
 * 更新数据
 */
const putTaAttach = (id, data) => request(`/api/taAttach/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaAttach = (id) => request(`/api/taAttach/${id}`, { method: 'delete' });
