import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaCheckAnswer = (params) => request('/api/taCheckAnswer', { params });

/*
 * 新增数据
 */
const postTaCheckAnswer = (data) => request('/api/taCheckAnswer', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaCheckAnswerById = (id) => request(`/api/taCheckAnswer/${id}`);

/*
 * 更新数据
 */
const putTaCheckAnswer = (id, data) => request(`/api/taCheckAnswer/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaCheckAnswer = (id) => request(`/api/taCheckAnswer/${id}`, { method: 'delete' });
