import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaIssue = (params) => request('/api/taIssue', { params });

/*
 * 新增数据
 */
const postTaIssue = (data) => request('/api/taIssue', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaIssueById = (id) => request(`/api/taIssue/${id}`);

/*
 * 更新数据
 */
const putTaIssue = (id, data) => request(`/api/taIssue/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaIssue = (id) => request(`/api/taIssue/${id}`, { method: 'delete' });
