import request from '@/utils/request';

/*
 * 分页查询
 */
const getTdLocType = (params) => request('/api/tdLocType', { params });

/*
 * 新增数据
 */
const postTdLocType = (data) => request('/api/tdLocType', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTdLocTypeById = (id) => request(`/api/tdLocType/${id}`);

/*
 * 更新数据
 */
const putTdLocType = (id, data) => request(`/api/tdLocType/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTdLocType = (id) => request(`/api/tdLocType/${id}`, { method: 'delete' });
