import request from '@/utils/request';

/*
 * 分页查询
 */
const getSysRole = (params) => request('/api/sysRole', { params });

/*
 * 新增数据
 */
const postSysRole = (data) => request('/api/sysRole', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getSysRoleById = (id) => request(`/api/sysRole/${id}`);

/*
 * 更新数据
 */
const putSysRole = (id, data) => request(`/api/sysRole/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteSysRole = (id) => request(`/api/sysRole/${id}`, { method: 'delete' });
