import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaIssueProcess = (params) => request('/api/taIssueProcess', { params });

/*
 * 新增数据
 */
const postTaIssueProcess = (data) => request('/api/taIssueProcess', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaIssueProcessById = (id) => request(`/api/taIssueProcess/${id}`);

/*
 * 更新数据
 */
const putTaIssueProcess = (id, data) => request(`/api/taIssueProcess/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaIssueProcess = (id) => request(`/api/taIssueProcess/${id}`, { method: 'delete' });
