import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaOrgConfig = (params) => request('/api/taOrgConfig', { params });

/*
 * 新增数据
 */
const postTaOrgConfig = (data) => request('/api/taOrgConfig', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaOrgConfigById = (id) => request(`/api/taOrgConfig/${id}`);

/*
 * 更新数据
 */
const putTaOrgConfig = (id, data) => request(`/api/taOrgConfig/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaOrgConfig = (id) => request(`/api/taOrgConfig/${id}`, { method: 'delete' });
