import request from '@/utils/request';

/*
 * 分页查询
 */
const getTaPerson = (params) => request('/api/taPerson', { params });

/*
 * 新增数据
 */
const postTaPerson = (data) => request('/api/taPerson', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
const getTaPersonById = (id) => request(`/api/taPerson/${id}`);

/*
 * 更新数据
 */
const putTaPerson = (id, data) => request(`/api/taPerson/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
const deleteTaPerson = (id) => request(`/api/taPerson/${id}`, { method: 'delete' });
